Bank Codes
curl --request GET \
--url https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/banks/{currency_code} \
--header 'Authorization: <api-key>' \
--header 'X-TenantID: <api-key>'import requests
url = "https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/banks/{currency_code}"
headers = {
"Authorization": "<api-key>",
"X-TenantID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'X-TenantID': '<api-key>'}
};
fetch('https://api.payaza.africa/live/payaza-account/api/v1/mainaccounts/merchant/banks/{currency_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "List of banks for XAF",
"status": true,
"retry_count": 0,
"data": [
{
"id": 3179,
"name": "MTN Cameroon",
"avatar": "https://payaza-assets.s3.amazonaws.com/production/1741623087222-download(4).png",
"code": "MTNCMR",
"active": true,
"type": "mobile_money",
"short_name": "MTN",
"sort_code": null,
"currency_code": "XAF",
"country_code": "CMR",
"block_transaction": false
},
{
"id": 3180,
"name": "Orange Money Cameroon",
"avatar": "https://payaza-assets.s3.amazonaws.com/production/1744050523378-orange-money-logo-8F2AED308D-seeklogo.com.png",
"code": "ORACMR",
"active": true,
"type": "mobile_money",
"short_name": "Orange",
"sort_code": null,
"currency_code": "XAF",
"country_code": "CMR",
"block_transaction": false
}
]
}Transfers
Bank Codes
The Bank Codes API is used to retrieve the bank codes available for each country that would be used in the Initiate A Transfer request.
GET
/
payaza-account
/
api
/
v1
/
mainaccounts
/
merchant
/
banks
/
{currency_code}
Bank Codes
Authorizations
Payaza {{Public API Key in Base 64}}
live or test
Path Parameters
The currency code (e.g., XAF, NGN)
⌘I